Bug 363251 - Fn+F2 should be bound to "Lock screen" on ThinkPads
Fn+F2 should be bound to "Lock screen" on ThinkPads
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 22:36 EDT by petrosyan
Modified: 2013-01-09 23:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 10:46:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 494210 None None None Never

  None (edit)
Description petrosyan 2007-11-01 22:36:50 EDT
Description of problem:
On ThinkPads "Fn+F2" key combination should be bound to "Lock screen" in gnome
keyboard shortcuts.

Additional info:
It works as expected on Ubuntu 7.10
Comment 1 Matthias Clasen 2007-11-04 22:20:58 EST
Please check out http://people.freedesktop.org/~hughsient/quirk/ to help us come
up with the correct fix for this.
Comment 2 petrosyan 2007-11-04 23:57:06 EST
"Fn+F2" quirk has already been added to hal-info. Its code is 0x92.
Now it needs to be bound to "Lock screen" in gnome keyboard shortcuts.
Comment 3 Jeremy Katz 2007-11-05 07:42:43 EST
One thing that's tricky here is that gnome-settings-daemon only lets you bind
one keypress to an action rather than multiple (as it'd be good to leave
ctrl+alt+l working for laptops which don't have a screenlock button)

I guess it could be sort of worked around by having multiple lock screen entries
although that's kind of a kludge.
Comment 4 Bastien Nocera 2007-11-05 08:29:01 EST
gnome-settings-daemon isn't in gnome-session.

The easy fix is to add a bunch of static keys to gnome-settings-daemon, as
should be done for the "default" XF86 keys.
Comment 5 petrosyan 2007-11-05 09:26:25 EST
Gnome supports multiple keybindings for the same action.
http://bugzilla.gnome.org/show_bug.cgi?id=164831
Comment 6 Bastien Nocera 2007-11-05 10:17:27 EST
(In reply to comment #5)
> Gnome supports multiple keybindings for the same action.
> http://bugzilla.gnome.org/show_bug.cgi?id=164831

It doesn't, metacity actions do (FYI, I wrote the multimedia keys code in the
control-center).
Comment 7 Bastien Nocera 2007-11-06 10:46:04 EST
Moved upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=494210

Note You need to log in before you can comment on or make changes to this bug.